/*
 * Copyright (C) 2004 Laszlo Pere
 * $Id:$
 *
 * This is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Library General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Log: $
 */
#ifndef BOOKMARKS_H
#define BOOKMARKS_H

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#define _GNU_SOURCE
#include <gnome.h>

gint add_bookmarks_to_menu(GtkWidget *menu);

void
on_add_bookmarks_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_new_bookmark_cancel_button_clicked  (GtkButton       *button,
                                        gpointer         user_data);

void
on_new_bookmark_ok_button_clicked      (GtkButton       *button,
                                        gpointer         user_data);


/*
 * Edit bookmarks window functions.
 */
void
on_edit_bookmarks_close_button_clicked (GtkButton       *button,
                                        gpointer         user_data);

void
on_edit_bookmarks_treeview_realize     (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_edit_bookmarks_button_up_clicked    (GtkButton       *button,
                                        gpointer         user_data);

void
on_edit_bookmarks_button_down_clicked  (GtkButton       *button,
                                        gpointer         user_data);

void
on_edit_bookmarks_button_left_clicked  (GtkButton       *button,
                                        gpointer         user_data);

void
on_edit_bookmarks_button_right_clicked (GtkButton       *button,
                                        gpointer         user_data);

void
on_edit_bookmarks_button_delete_clicked
                                        (GtkButton       *button,
                                        gpointer         user_data);

#endif
